Subject: Re: [PATCH 63/63] powerpc: Add pseries_le_defconfig

From: Anton Blanchard <[email-masked]>
Date: Thu, 8 Aug 2013 17:53:24 +1000

Hi,

> The CONFIG_VIRTUALIZATION disabling should be done in the Kconfig not
> here. 
> 
> I'm not that keen on another defconfig.  benh is already talking about
> having a powernv defconfig.  I'm worried we are going to fragment the
> defconfigs.  If you want something special like LE, then change the
> default one.

I agree we don't want machine specific defconfigs, but I think it makes
sense to have ones that cover the key options that conflict. I'm
thinking 32bit, 64bit, 64bit BookE, 64bit LE etc.

One bonus is if we have a smaller set of defconfigs we might actually
get better testing. I have no idea which 32bit defconfigs I should test
for example, and I'm not going to test them all!

Anton